# Uses of Class
jebl.evolution.align.ProfileCharacter

Packages that use ProfileCharacter
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.

## Uses of ProfileCharacter in jebl.evolution.align

Methods in jebl.evolution.align that return ProfileCharacter
Modifier and Type
Method
Description
`static ProfileCharacter`
ProfileCharacter.`getImmutableProfileCharacter(char character)`
An immutable ProfileCharacter that uses less memory than a mutable profile character.
Methods in jebl.evolution.align with parameters of type ProfileCharacter
Modifier and Type
Method
Description
`void`
ProfileCharacter.`addProfileCharacter(ProfileCharacter character)`
`void`
ProfileCharacter.`removeProfileCharacter(ProfileCharacter character)`
`static float`
ProfileCharacter.`score(ProfileCharacter character1, ProfileCharacter character2, Scores scores)`
`static float`
ProfileCharacter.`scoreSelf(ProfileCharacter character, Scores scores)`